Bug 458967 - nscd consumes cpu
nscd consumes cpu
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-13 10:22 EDT by Martin Nagy
Modified: 2016-11-24 07:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-16 22:51:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Nagy 2008-08-13 10:22:40 EDT
Description of problem:
nscd occasionally starts to consume all CPU resources.

Version-Release number of selected component (if applicable):
nscd-2.8-3.x86_64

How reproducible:
Don't know

Additional info:
After attaching to the loose process, it seems that it's stuck here:

(gdb) bt
#0  0x0000000001088898 in epoll_wait () from /lib64/libc.so.6
#1  0x00007f09dd922132 in main_loop_epoll (efd=16) at connections.c:1786
#2  0x00007f09dd922721 in start_threads () at connections.c:1961
#3  0x00007f09dd91fc8d in main (argc=-567093952, argv=<value optimized out>) at nscd.c:279
Comment 1 Jakub Jelinek 2008-08-14 20:46:35 EDT
2.8-3 is not the latest F9 glibc (2.8-8 is and had a bunch of nscd fixes).
Please test the latter.
Comment 2 Martin Nagy 2008-09-11 12:17:45 EDT
Using 2.8-8 for about a month now and I didn't see this behaviour. Please close this bug report. I will reopen if I run into it again. Thanks.
Comment 3 Ulrich Drepper 2008-09-16 22:51:09 EDT
Fixed in current rawhide release.

Note You need to log in before you can comment on or make changes to this bug.